Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs
Class GetFeatureHandler

    java.lang.Object
      org.deegree.ogcwebservices.wfs.GetFeatureHandler

     class GetFeatureHandler

extends Object

Handles `GetFeature` requests to the `WFService`. Since a `GetFeature` request may contain more than one `Query`, each `Query` is delegated to an own thread.

The results of all threads are collected and merged before they are returned to the calling `WFService` as a single `FeatureCollection`.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth, Markus Schneider, last edited by: $Author: mschneider $

Constructor Summary
`GetFeatureHandler(WFService wfs)` Creates a new instance of `GetFeatureHandler`.

Method Summary
`(package private) FeatureResult` | `handleRequest(GetFeature getFeature)` Handles a `GetFeature` request by delegating the contained `Query` objects to different threads.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetFeatureHandler

    GetFeatureHandler(WFService wfs)

  Creates a new instance of `GetFeatureHandler`. Only called by the associated `WFService` (once).

  Parameters:
    `wfs` - associated WFService

Method Detail

### handleRequest

    FeatureResult handleRequest(GetFeature getFeature)
                          throws OGCWebServiceException

  Handles a `GetFeature` request by delegating the contained `Query` objects to different threads.

  If at least one query fails an exception will be thrown and all running threads will be stopped.

  Parameters:
    `getFeature` -
  Returns:
    result of the request
  Throws:
    `OGCWebServiceException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org